BEGIN {
    in_tabs = 0
    in_groups = 0
    in_labels = 0
    in_graphs = 0
    in_windows = 0
}

/"name"/ { print ; next }
/"ntabs"/ { print ; next }
/"ngraphs"/ { print ; next }
/"nwindows"/ { print ; next }

/^$/ { print }

/{/ { if(in_labels) {printf "\t\t\t{"} else if(in_groups) {printf "\t\t{"} else if(in_tabs) {print} else {print}}

/"tabs"/ { print; in_tabs = 1 }
/"groups"/ { print; in_groups = 1 }

/"row"/ { printf "%s:%s", $1,$3 }
/"column"/ { printf "%s:%s", $1,$3 }
/"labels"/ { printf "%s:[\n", $1; in_labels = 1 }

/"mib_name"/ { printf "%s", $1 ; next }
/"mib_id"/ { printf "%s", $1 }
/"source"/ { printf "%s", $1 }
/"unit"/ { printf "%s", $1 }
/},/ { if(in_labels) {printf "},\n"} else if(in_groups) {printf "},\n"} else if(in_tabs) {printf "},\n"} else {print} ; next }
/}/ { if(in_labels) {printf "}"} else if(in_groups) {printf "}"} else {print} }
/]/ { if(in_labels) {printf "]" ; in_labels = 0} else if(in_groups) {printf "]" ; in_groups = 0} else if(in_tabs) {printf "%s", $1} else {print} }

/"graphs"/ { print ; in_graphs = 1}
/"name"/ { print }
/"naxes"/ { print }
/"yaxis"/ { printf "%s", $1 }
/"label"/ { printf "%s,", $1 ; next }
/"min"/   { printf "%s", $1 }
/"max"/   { printf "%s", $1 }
/"windows"/ { print }
